MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024727Open CASCADE[OCCT] OCCT:Codingpublic2014-03-14 09:562014-11-11 12:52
Reporterdln 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024727: Convertation of the generic classes to the non-generic. Part 3
Description1) Generic class "Intf_InterferencePolyhedron" from "Intf" package converted to the non-generic class and moved to the "IntPatch" package. Name of this class was changed to "IntPatch_InterferencePolyhedron".

2) Generic class "MoniTool_Elem" from "MoniTool" package converted to the non-generic class "MoniTool_TransientElem".

3) Generic class "IntWalk_PWalking" from "IntWalk" package converted to the non-generic class. And internal class "TheInt2S" of "IntWalk_PWalking" moved from IntWalk_PWalking.cdl to IntWalk.cdl for correct building. Also several "*.cxx" files of this class merged to one ".cxx".

4) Generic class "Transfer_SimpleBinder" from "Transfer" package converted to the non-generic class and moved to the "TransferBRep" package. Name of this class was changed to "TransferBRep_BinderOfShape".

5) Generic class "Geom2dInt_CurveTool" from "Geom2dInt" package converted to the non-generic class "Geom2dInt_Geom2dCurveTool".

6) Generic class "MAT2d_BisectingLocus" from "MAT2d" package converted to the non-generic class and moved to the "BRepMAT2d" package. Name of this class was changed to "BRepMAT2d_BisectingLocus".

7) Generic class "MAT_Mat" from "MAT" package converted to the non-generic class and moved to the "MAT2d" package. Name of this class was changed to "MAT2d_Mat2d".
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Open CASCADE Getting rid of generic CDL classes 

-  Notes
(0028270)
dln (developer)
2014-03-14 09:57

Changes are ready for review in CR24727 branch.
(0028271)
abv (manager)
2014-03-14 10:22

Please change implementation of IntWalk_PWalking class to avoid #including several CXX files from one CXX, this is bad practice. I suggest you merge all CXX files in one, if it will become long (file _1.cxx is long, already). Besides, why you removed files IntWalk_IWalking*.gxx from FILES -- they seems to be still in use, aren't they?
(0028276)
dln (developer)
2014-03-14 11:24

Fixed. (CR24727 branch)
(0028278)
abv (manager)
2014-03-14 12:24

Igor, please review. From my point of view the change looks Ok now.
(0028283)
ifv (developer)
2014-03-14 14:45

Ok
(0028321)
mkv (tester)
2014-03-18 12:03

Dear BugMaster,

Branch CR24727 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: e664373ecadc75a70258c8665baaaf4742cb5b59

There are compilation errors on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24727/job/mnt-CR24727-master_build_occt_linux/2/parsed_console/? [^]
In file included from ../../../../drv/Contap/Contap_TheIWalkingOfContour_0.cxx:92:
../../../../inc/IntWalk_IWalking.gxx:21:34: error: IntWalk_IWalking_1.gxx: No such file or directory
../../../../inc/IntWalk_IWalking.gxx:22:34: error: IntWalk_IWalking_2.gxx: No such file or directory
../../../../inc/IntWalk_IWalking.gxx:23:34: error: IntWalk_IWalking_3.gxx: No such file or directory
../../../../inc/IntWalk_IWalking.gxx:24:34: error: IntWalk_IWalking_4.gxx: No such file or directory
../../../../inc/IntWalk_IWalking.gxx:25:34: error: IntWalk_IWalking_5.gxx: No such file or directory
../../../../inc/IntWalk_IWalking.gxx:26:34: error: IntWalk_IWalking_6.gxx: No such file or directory


http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24727/job/mnt-CR24727-master_build_occt_windows/1/parsed_console/? [^]
27>..\..\..\inc\IntWalk_IWalking.gxx(21) : fatal error C1083: Cannot open include file: 'IntWalk_IWalking_1.gxx': No such file or directory
...
(0028340)
dln (developer)
2014-03-19 08:07

Test again this branch, please. I found a mistake and corrected it.
(0028377)
mkv (tester)
2014-03-20 10:13

Dear BugMaster,

Branch CR24727 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6e73e2df8db2b7bb1ca11b50b36f7fbdeac122b3

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 384476676 / 385978040
Total CPU difference: 44266.769999999924 / 45153.70999999999

Testing on Windows:
Total MEMORY difference: 431565576 / 430651744
Total CPU difference: 32096.234375 / 33520.265625

There are following differences in images found by testdiff.
http://occt-tests/CR24727-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24727-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE v3d glsl phong_views: phong_views.png differs
IMAGE bugs vis bug61: bug6145_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug6145: bug6145_Driver1_Viewer1_View1.png differs
IMAGE bugs vis bug23670_1: bug23670_1_MyDriver_MyViewer_MyView.png differs
(0028379)
abv (manager)
2014-03-20 10:38

Mikhail, branch CR24727 is based on previous state of master, please compare with it
(0028396)
mkv (tester)
2014-03-20 13:56

Dear BugMaster,

Branch CR24727 was recompared with IR-2014-03-06-IR-2014-03-06.

Regressions/Differences:
No regressions/differences

Testing on Linux:
Total MEMORY difference: 384450056 / 385720176
Total CPU difference: 44265.27999999992 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 431568860 / 430878452
Total CPU difference: 32096.078125 / 30425.953125

There are no differences in images found by testdiff.

- Related Changesets
occt: master 47cbf134
Timestamp: 2014-03-12 08:09:23
Author: dln
Committer: bugmaster
Details ] Diff ]
0024727: Convertation of the generic classes to the non-generic. Part 3

1) Generic class "Intf_InterferencePolyhedron" from "Intf" package converted to the non-generic class and moved to the "IntPatch" package. Name of this class was changed to "IntPatch_InterferencePolyhedron".

2) Generic class "MoniTool_Elem" from "MoniTool" package converted to the non-generic class "MoniTool_TransientElem".

3) Generic class "IntWalk_PWalking" from "IntWalk" package converted to the non-generic class. And internal class "TheInt2S" of "IntWalk_PWalking" moved from IntWalk_PWalking.cdl to IntWalk.cdl for correct building. Also several "*.cxx" files of this class merged to one ".cxx".

4) Generic class "Transfer_SimpleBinder" from "Transfer" package converted to the non-generic class and moved to the "TransferBRep" package. Name of this class was changed to "TransferBRep_BinderOfShape".

5) Generic class "Geom2dInt_CurveTool" from "Geom2dInt" package converted to the non-generic class "Geom2dInt_Geom2dCurveTool".

6) Generic class "MAT2d_BisectingLocus" from "MAT2d" package converted to the non-generic class and moved to the "BRepMAT2d" package. Name of this class was changed to "BRepMAT2d_BisectingLocus".

7) Generic class "MAT_Mat" from "MAT" package converted to the non-generic class and moved to the "MAT2d" package. Name of this class was changed to "MAT2d_Mat2d".
mod - src/BRepMAT2d/BRepMAT2d.cdl Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/Geom2dInt/Geom2dInt.cdl Diff ] File ]
mod - src/Intf/Intf.cdl Diff ] File ]
mod - src/IntPatch/IntPatch.cdl Diff ] File ]
mod - src/IntPatch/IntPatch_PrmPrmIntersection.cxx Diff ] File ]
mod - src/IntWalk/FILES Diff ] File ]
mod - src/IntWalk/IntWalk.cdl Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cdl Diff ] File ]
rm - src/IntWalk/IntWalk_PWalking.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_PWalking_2.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_PWalking_3.gxx Diff ] File ]
rm - src/IntWalk/IntWalk_PWalking_4.gxx Diff ] File ]
mod - src/MAT/MAT.cdl Diff ] File ]
mod - src/MAT2d/MAT2d.cdl Diff ] File ]
mod - src/MoniTool/MoniTool.cdl Diff ] File ]
mod - src/Transfer/Transfer.cdl Diff ] File ]
rm - src/Transfer/Transfer_SimpleBinder.gxx Diff ] File ]
mod - src/TransferBRep/TransferBRep.cdl Diff ] File ]
add - src/TransferBRep/TransferBRep_BinderOfShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-14 09:56 dln New Issue
2014-03-14 09:56 dln Assigned To => abv
2014-03-14 09:57 dln Note Added: 0028270
2014-03-14 09:57 dln Status new => resolved
2014-03-14 10:22 abv Note Added: 0028271
2014-03-14 10:22 abv Assigned To abv => dln
2014-03-14 10:22 abv Status resolved => assigned
2014-03-14 11:24 dln Note Added: 0028276
2014-03-14 11:24 dln Assigned To dln => abv
2014-03-14 11:24 dln Status assigned => resolved
2014-03-14 12:23 abv Assigned To abv => ifv
2014-03-14 12:24 abv Note Added: 0028278
2014-03-14 13:09 dln Description Updated View Revisions
2014-03-14 14:45 ifv Note Added: 0028283
2014-03-14 14:45 ifv Status resolved => reviewed
2014-03-14 15:02 mkv Assigned To ifv => mkv
2014-03-18 12:03 mkv Note Added: 0028321
2014-03-18 12:04 mkv Test case number => Not needed
2014-03-18 12:04 mkv Assigned To mkv => dln
2014-03-18 12:04 mkv Status reviewed => assigned
2014-03-19 08:07 dln Note Added: 0028340
2014-03-19 08:12 dln Assigned To dln => abv
2014-03-19 08:12 dln Status assigned => feedback
2014-03-19 08:12 dln Status feedback => resolved
2014-03-19 12:12 abv Assigned To abv => bugmaster
2014-03-19 12:12 abv Status resolved => reviewed
2014-03-19 12:15 mkv Assigned To bugmaster => mkv
2014-03-20 10:13 mkv Note Added: 0028377
2014-03-20 10:14 mkv Assigned To mkv => dln
2014-03-20 10:14 mkv Status reviewed => feedback
2014-03-20 10:38 abv Note Added: 0028379
2014-03-20 10:38 abv Assigned To dln => mkv
2014-03-20 13:56 mkv Note Added: 0028396
2014-03-20 13:57 mkv Assigned To mkv => bugmaster
2014-03-20 13:57 mkv Status feedback => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master 47cbf134
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:47 kgv Relationship added child of 0024487
2014-07-22 15:20 ibs Relationship added parent of 0025100
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker